Subject: bug#61072: How to change the length of the separation lines in eldoc, used by eglot?

From: Felician Nemeth <[email-masked]>
Date: Wed, 15 Mar 2023 13:07:18 +0100

João Távora <[email-masked]> writes:

> Rather,  Eglot should add a markdown-capable element to
> eldoc-display-functions and hint in the documentation item
> produced by Eglot's eldoc-documentation-functions that that item
> has a markdown version (it may also have a plaintext version
> alongside),  taken directly from the LSP source. The new function
> would then render the item appropriately.

Maybe I overthink this, but I wonder if it would make sense to specify
an optional content-type argument instead of a markdown-capable element.
That way, eldoc could potentially handle raw html texts as well.
Additionally, this would support different markdown variants.  And I'm
sure gnus/eww already has some helper functions that eldoc could reuse.

References for the text/markdown content-type:
  https://www.rfc-editor.org/rfc/rfc7763
  https://www.rfc-editor.org/rfc/rfc7764#section-3